@import 'fonts';

.footer {
    color: $white;
    background-color: $black;
    text-decoration: none;
    padding-top: 10px;
    padding-bottom: 10px;
    a {
        color: $white;
        font-weight: $weight_bold;
        text-decoration: none;
        outline: 0;
        padding-left: 1px;
        padding-right: 1px;
        &:hover {
            color: $white;
            background-color: $brand_secondary;
            text-decoration: none;
            outline: 0;
        }
    }
    /* Anchors over non-text elements should not hover. */
    .no-hover {
        a {
            color: inherit;
            background-color: inherit;
            margin: 0 0 0 0;
            &:active,
            &:hover { }
        }
    }
    .line {
        color: $white;
        display: block;
        margin: 0 auto;
        width: 35px;
        height: 1px;
        margin-top: 10px;
    }
    img {
        margin: 20px;
    }
}

.copyright {
    font-size: var(--scale-2);
    color: $white;
    font-family: $branded_fonts;
    font-weight: $weight_normal;
    text-transform: none;
    margin-left: 10px;
    margin-right: 10px;
}

/* Logos, e.g. IoC, Uni, etc. */
.brand {
    margin-top: 10px;
    margin-bottom: 10px;
    height: auto;
}

@media all and (min-width: 251px) {
    .brand {
        width: 250px;
    }
}

@media all and (max-width: 251px) {
    .brand {
        width: 100%;
    }
}
